GDB (xrefs)

Public Attributes | List of all members
inferior_object Struct Reference

## Public Attributes
PyObject_HEAD struct inferior * | inferior
struct threadlist_entry * | threads
int | nthreads

## Detailed Description

Definition at line 38 of file py-inferior.c.

## Member Data Documentation

## ◆ inferior

PyObject_HEAD struct inferior* inferior_object::inferior

Definition at line 43 of file py-inferior.c.

Referenced by inferior_to_inferior_object(), infpy_dealloc(), and infpy_thread_from_thread_handle().

## ◆ nthreads

int inferior_object::nthreads

Definition at line 50 of file py-inferior.c.

Referenced by add_thread_object(), inferior_to_inferior_object(), and infpy_threads().

## ◆ threads

struct threadlist_entry* inferior_object::threads

Definition at line 47 of file py-inferior.c.

Referenced by add_thread_object(), inferior_to_inferior_object(), and infpy_threads().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-inferior.c